Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1961855 - F35FailsToInstall: ghc-hadolint, ghc-hadolint-devel, ghc-hadolint-prof
Summary: F35FailsToInstall: ghc-hadolint, ghc-hadolint-devel, ghc-hadolint-prof
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hadolint
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-05-18 20:21 UTC by Miro Hrončok
Modified: 2021-05-29 03:28 UTC (History)
1 user (show)

Fixed In Version: hadolint-1.18.2-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-29 03:28:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-05-18 20:21:27 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (hadolint) Fails To Install in Fedora 35:

can't install ghc-hadolint:
  - nothing provides libHSShellCheck-0.7.1-FFfmU5FCus5GqOg3oLCcAT-ghc8.8.4.so()(64bit) needed by ghc-hadolint-1.18.2-2.fc34.x86_64
  
can't install ghc-hadolint-devel:
  - nothing provides ghc-devel(ShellCheck-0.7.1-FFfmU5FCus5GqOg3oLCcAT) needed by ghc-hadolint-devel-1.18.2-2.fc34.x86_64
  
can't install ghc-hadolint-prof:
  - nothing provides ghc-prof(ShellCheck-0.7.1-FFfmU5FCus5GqOg3oLCcAT) needed by ghc-hadolint-prof-1.18.2-2.fc34.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-05-26 09:20:30 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Jens Petersen 2021-05-28 14:25:46 UTC
This is my bad - I will rebuild/update hadolint against the newer ShellCheck.

For now I unpushed the ShellCheck update back to testing before it went stable:
https://bodhi.fedoraproject.org/updates/FEDORA-2021-9c1ddc65f1

Comment 3 Jens Petersen 2021-05-28 14:27:47 UTC
(In reply to Jens Petersen from comment #2)
> For now I unpushed the ShellCheck update back to testing before it went
> stable: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9c1ddc65f1

Sorry ignore that: Rawhide is already stable but I will update hadolint.

Comment 4 Jens Petersen 2021-05-28 15:02:42 UTC
Should be fixed with hadolint-1.18.2-3.fc35


Note You need to log in before you can comment on or make changes to this bug.